Page MenuHomePhabricator

Don't use deprecated features removed in jQuery 1.9
Closed, ResolvedPublic

Description

Tracking bug for reports of JQMIGRATE calls on Wikimedia wikis.


Version: wmf-deployment
Severity: normal

Details

Reference
bz65399

Related Objects

StatusAssignedTask
ResolvedKrinkle
ResolvedNone
ResolvedRillke
DeclinedNone
Resolvedsanthosh
ResolvedEsanders
ResolvedGilles
Resolvedmatmarex
ResolvedTheDJ
ResolvedFoxtrott
ResolvedNone
ResolvedSe4598
Resolvedsanthosh
Resolvedsanthosh
ResolvedNone
ResolvedGilles
ResolvedKrinkle
ResolvedKrinkle
ResolvedNone
ResolvedNone
ResolvedRillke
ResolvedJdforrester-WMF
ResolvedFoxtrott
ResolvedTheDJ
ResolvedNone
ResolvedKrinkle
ResolvedKrinkle
DeclinedNone
Resolvedmatmarex
ResolvedNone
Resolved Mattflaschen-WMF
ResolvedKrenair
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz65399.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.May 16 2014, 3:35 PM

Time line:

  • 12 May 2014 (1.24wmf4 [9]): Phase 1 – Instrumentation and logging starts. This will run for 4 weeks (until June 9).
  • 19 May 2014 (1.24wmf5): Phase 2 – "Upgrade and Migrate". This will run for 3 weeks (upto June 9). The instrumentation continues during this period.
  • 1 June 2014 (1.24wmf7) Finalise upgrade.

http://www.mail-archive.com/wikitech-l@lists.wikimedia.org/msg75735.html

1.24wmf7 will be cut from master on May 30, so must be migrated before that.

https://www.mediawiki.org/wiki/MediaWiki_1.24/Roadmap#Deployment_schedule

Who/how to test the severity of e.g. bug 65666? We need to know how much jQuery 1.9 would break LQT.

(In reply to Nemo from comment #2)

Who/how to test the severity of e.g. bug 65666? We need to know how much
jQuery 1.9 would break LQT.

On a test instance, pull gerrit 133719 for MW-core to test it.

(In reply to James Forrester from comment #3)

On a test instance, pull Gerrit change #133719 for MW-core to test it.

Spiritosone. In case the "Who" part was unclear, I don't plan to set up a test instance for LQT.

(In reply to Nemo from comment #4)

(In reply to James Forrester from comment #3)
> On a test instance, pull Gerrit change #133719 for MW-core to test it.

Spiritosone. In case the "Who" part was unclear, I don't plan to set up a
test instance for LQT.

Then don't ask how when all you care about is 'who'. :-)

(In reply to James Forrester from comment #5)

Then don't ask how when all you care about is 'who'. :-)

The "who" depends on the "how", so don't put words in my mouth.

Does this mean we're done? No blocking bugs; time for an announcement that we're doing it?

Note, the patch removing jQuery Migrate was c393f8747, merged on December 4. Anything open and blocking this bug is broken on production Wikipedia wikis.

Mattflaschen-WMF closed this task as Resolved.Feb 4 2015, 5:39 AM
Mattflaschen-WMF set Security to None.
Phabricator_maintenance renamed this task from Don't use deprecated features removed in jQuery 1.9 (tracking) to Don't use deprecated features removed in jQuery 1.9.Aug 13 2016, 9:21 PM